//
//  BGDataBinding.h
//  BGDataBinding
//
//  Created by Dominic Rodemer on 05/01/16.
//  Copyright © 2016 brandgram GmbH. All rights reserved.
//

#import <BGFoundation/BGFoundation.h>

//! Project version number for BGDataBinding.
FOUNDATION_EXPORT double BGDataBindingVersionNumber;

//! Project version string for BGDataBinding.
FOUNDATION_EXPORT const unsigned char BGDataBindingVersionString[];


#import <BGDataBinding/NSObject+BGDataBinding.h>
#import <BGDataBinding/BGDataBindingBatchOperation.h>


#if DEBUG
    #define BGKeyPath(Classname, keypath) ({ Classname *_bg_keypath_obj; \
                                             __unused __typeof(_bg_keypath_obj.keypath) _bg_keypath_prop; \
                                             @#keypath; \
                                           })

    #define BGObjectKeyPath(object, keypath) ({ __typeof(object) _bg_keypath_obj; \
                                                __unused __typeof(_bg_keypath_obj.keypath) _bg_keypath_prop; \
                                                @#keypath; \
                                             })
#else
    #define BGKeyPath(Classname, keypath) (@#keypath)
    #define BGObjectKeyPath(object, keypath) (@#keypath)
#endif

