//
//  BGAction.h
//  BGFoundation
//
//  Created by Dominic Rodemer on 31/08/16.
//  Copyright © 2016 brandgram GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface BGAction : NSObject
{
    __weak id target;
    SEL selector;
}

@property (nonatomic, weak, readonly) id target;
@property (nonatomic, readonly) SEL selector;

- (id)initWithTarget:(id)aTarget selector:(SEL)aSelector;
+ (instancetype)actionWithTarget:(id)target selector:(SEL)selector;

- (void)fire;

@end
