//
//  BGRetriggerableTimer.h
//  BGFoundation
//
//  Created by Dominic Rodemer on 30/07/16.
//  Copyright © 2016 brandgram GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface BGRetriggerableTimer : NSObject
{
    NSTimer *backingTimer;
    NSTimeInterval interval;
    
    id target;
    SEL action;
}

@property (nonatomic) NSTimeInterval interval;

@property (nonatomic, strong) id target;
@property (nonatomic) SEL action;

+ (BGRetriggerableTimer *)retriggerableTimerWithInterval:(NSTimeInterval)interval target:(id)target action:(SEL)action;

- (id)initWithInterval:(NSTimeInterval)anInterval;

- (void)retrigger;

@end
