//
//  NSData+BGFoundation.h
//  BGFoundation
//
//  Created by Dominic Rodemer on 02/03/15.
//  Copyright (c) 2015 brandagram GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSData (BGFoundation)

+ (NSData *)bg_dataFromBase64String:(NSString *)aString;
- (NSString *)bg_base64EncodedString;

- (NSString *)bg_md5Hash;
- (NSString *)bg_sha1Hash;
- (NSString *)bg_sha256Hash;

- (NSData *)bg_encryptedWithKey:(NSData *)key;
- (NSData *)bg_decryptedWithKey:(NSData *)key;
+ (NSData *)bg_dataWithContentsOfEncryptedFile:(NSString *)path withKey:(NSData *)key;

@end
