//
//  NSDictionary+BGFoundation.h
//  BGFoundation
//
//  Created by Dominic Rodemer on 02/03/15.
//  Copyright (c) 2015 brandagram GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSDictionary (BGFoundation)

+ (NSDictionary *)bg_dictionaryWithURLParameterString:(NSString *)parameterString;
- (NSString *)bg_URLParameterString;

- (id)bg_objectForKey:(id)key ofType:(Class)type;
- (NSString *)bg_stringForKey:(id)key;
- (NSNumber *)bg_numberForKey:(id)key;
- (NSArray *)bg_arrayForKey:(id)key;
- (NSDictionary *)bg_dictionaryForKey:(id)key;

+ (NSDictionary *)bg_dictionaryWithContentsOfEncryptedFile:(NSString *)path withKey:(NSData *)key;

@end
