//
//  NSMutableArray+BGFoundation.h
//  BGFoundation
//
//  Created by Dominic Rodemer on 05/01/16.
//  Copyright © 2016 brandgram GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSMutableArray (BGFoundation)

- (void)bg_recursivelyRemoveNulls;
- (void)bg_recursivelyRemoveNullsIgnoringArrays:(BOOL)ignoringArrays;

- (void)bg_shuffle;
- (void)bg_reverse;

- (void)bg_moveObjectFromIndex:(NSUInteger)from toIndex:(NSUInteger)to;

- (void)bg_insertObjects:(NSArray *)anArray atIndex:(NSUInteger)startIndex;

@end
