//
//  MPEqualizerViewController.h
//  MoviePlayer
//
//  Created by Dominic Rodemer on 31/03/2017.
//  Copyright © 2017 Dominic Rodemer. All rights reserved.
//

#import "MPSidePanelViewController.h"

#import <VLCKit/VLCKit.h>

@interface MPEqualizerViewController : MPSidePanelViewController
{
    __weak VLCMediaPlayer *player;
    
    NSSlider *ampSlider;
    NSSlider *band2Slider;
    NSSlider *band3Slider;
    NSSlider *band4Slider;
    NSSlider *band5Slider;
    NSSlider *band6Slider;
    NSSlider *band7Slider;
    NSSlider *band8Slider;
    NSSlider *band9Slider;
    NSSlider *band10Slider;
    
    NSPopUpButton *profilesPopup;
}

@property (nonatomic, weak, readonly) VLCMediaPlayer *player;

@property (nonatomic, strong) IBOutlet NSSlider *ampSlider;
@property (nonatomic, strong) IBOutlet NSSlider *band2Slider;
@property (nonatomic, strong) IBOutlet NSSlider *band3Slider;
@property (nonatomic, strong) IBOutlet NSSlider *band4Slider;
@property (nonatomic, strong) IBOutlet NSSlider *band5Slider;
@property (nonatomic, strong) IBOutlet NSSlider *band6Slider;
@property (nonatomic, strong) IBOutlet NSSlider *band7Slider;
@property (nonatomic, strong) IBOutlet NSSlider *band8Slider;
@property (nonatomic, strong) IBOutlet NSSlider *band9Slider;
@property (nonatomic, strong) IBOutlet NSSlider *band10Slider;
@property (nonatomic, strong) IBOutlet NSPopUpButton *profilesPopup;

- (id)initWithMediaPlayer:(VLCMediaPlayer *)aPlayer;

@end
