//
//  MPLicenseWindowController.h
//  MoviePlayer
//
//  Created by Dominic Rodemer on 09.10.17.
//  Copyright © 2017 Dominic Rodemer. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface MPLicenseWindowController : NSWindowController <NSTextFieldDelegate>
{
    NSImageView *iconView;
    NSButton *purchaseButton;
    NSButton *freeTrialButton;
    NSTextField *stateLabel;
    NSTextField *stateSubtitleLabel;
    
    NSTextField *nameTextField;
    NSTextField *licenseCodeTextField;
    
    NSButton *closeButton;
    NSButton *registerButton;
}

@property (nonatomic, strong) IBOutlet NSImageView *iconView;
@property (nonatomic, strong) IBOutlet NSButton *purchaseButton;
@property (nonatomic, strong) IBOutlet NSButton *freeTrialButton;
@property (nonatomic, strong) IBOutlet NSTextField *stateLabel;
@property (nonatomic, strong) IBOutlet NSTextField *stateSubtitleLabel;
@property (nonatomic, strong) IBOutlet NSTextField *nameTextField;
@property (nonatomic, strong) IBOutlet NSTextField *licenseCodeTextField;
@property (nonatomic, strong) IBOutlet NSButton *closeButton;
@property (nonatomic, strong) IBOutlet NSButton *registerButton;

@end
