//
//  MPVideoAdjustmentsViewController.h
//  MoviePlayer
//
//  Created by Dominic Rodemer on 27/03/2017.
//  Copyright © 2017 Dominic Rodemer. All rights reserved.
//

#import "MPSidePanelViewController.h"

#import <VLCKit/VLCKit.h>

@interface MPVideoAdjustmentsViewController : MPSidePanelViewController
{
    __weak VLCMediaPlayer *player;
    
    NSSlider *brightnessSlider;
    NSSlider *contrastSlider;
    NSSlider *gammaSlider;
    NSSlider *hueSlider;
    NSSlider *saturationSlider;
}

@property (nonatomic, weak, readonly) VLCMediaPlayer *player;

@property (nonatomic, strong) IBOutlet NSSlider *brightnessSlider;
@property (nonatomic, strong) IBOutlet NSSlider *contrastSlider;
@property (nonatomic, strong) IBOutlet NSSlider *gammaSlider;
@property (nonatomic, strong) IBOutlet NSSlider *hueSlider;
@property (nonatomic, strong) IBOutlet NSSlider *saturationSlider;

- (id)initWithMediaPlayer:(VLCMediaPlayer *)aPlayer;

@end
