//
//  MPVideoView.m
//  MoviePlayer
//
//  Created by Dominic Rodemer on 10/03/2017.
//  Copyright © 2017 Dominic Rodemer. All rights reserved.
//

#import "MPVideoView.h"

@implementation MPVideoView

- (void)drawRect:(NSRect)dirtyRect
{
    [super drawRect:dirtyRect];
    
    [[NSColor blackColor] setFill];
    NSRectFill(dirtyRect);
}



#pragma mark ---
#pragma mark VLCOpenGLVideoViewEmbedding
#pragma mark ---
- (void)addVoutSubview:(NSView *)view
{
    view.frame = self.bounds;
    [self addSubview:view];
}

- (void)removeVoutSubview:(NSView *)view
{
    [view removeFromSuperview];
}

@end
