//
//  VLCMedia+MoviePlayer.h
//  MoviePlayer
//
//  Created by Dominic Rodemer on 28/03/2017.
//  Copyright © 2017 Dominic Rodemer. All rights reserved.
//

#import <VLCKit/VLCKit.h>

@interface VLCMedia (MoviePlayer)

- (NSString *)mp_filePath;

- (NSString *)mp_correspondingSubtitleFilePathInMediaDirectory;

- (NSString *)mp_title;
- (NSImage *)mp_fileIcon;

+ (NSArray *)mp_supportedFileTypes;
+ (NSArray *)mp_supportedSubtitleFileTypes;
+ (NSArray *)mp_supportedMediaFileTypes;

@end
