//
//  BGDispatch.h
//  BGFoundation
//
//  Created by Dominic Rodemer on 11/03/16.
//  Copyright © 2016 brandgram GmbH. All rights reserved.
//

#ifndef BGDispatch_h
#define BGDispatch_h

#define bg_dispatch_main_sync_safe(block)\
    if ([NSThread isMainThread]) {\
        block();\
    } else {\
        dispatch_sync(dispatch_get_main_queue(), block);\
    }

#define bg_dispatch_main_async_safe(block)\
    if ([NSThread isMainThread]) {\
        block();\
    } else {\
        dispatch_async(dispatch_get_main_queue(), block);\
    }

#endif /* BGDispatch_h */
