//
//  BGLengthInputValidator.h
//  BGFoundation
//
//  Created by Dominic Rodemer on 26.01.14.
//  Copyright (c) 2014 brandagram GmbH. All rights reserved.
//

#import "BGInputValidator.h"

typedef NS_ENUM(NSInteger, BGLengthInputValidatorType) {
    BGLengthInputValidatorTypeEqual = 0,
    BGLengthInputValidatorTypeMinimum,
    BGLengthInputValidatorTypeMaximum
};


@interface BGLengthInputValidator : BGInputValidator
{
    NSUInteger length;
    BGLengthInputValidatorType type;
}

@property (nonatomic, assign) NSUInteger length;
@property (nonatomic, assign) BGLengthInputValidatorType type;

@end
