//
//  MPAppDelegate.h
//  MoviePlayer
//
//  Created by Dominic Rodemer on 07/03/2017.
//  Copyright © 2017 Dominic Rodemer. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class MPPlayerWindowController;
@class MPLicenseWindowController;

@interface MPAppDelegate : NSObject <NSApplicationDelegate>
{
    MPPlayerWindowController *playerWindowController;
    MPLicenseWindowController *licenseWindowController;
    
    BOOL processingQueuedFilePaths;
    NSMutableArray *queuedFilePaths;
}

@property (nonatomic, strong) MPPlayerWindowController *playerWindowController;
@property (nonatomic, strong, readonly) MPLicenseWindowController *licenseWindowController;


@end

