//
//  MPLicense.h
//  MoviePlayer
//
//  Created by Dominic Rodemer on 09.10.17.
//  Copyright © 2017 Dominic Rodemer. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString *const MPLicenseDidRegisterNotification;

@class CFobLicVerifier;

@interface MPLicense : NSObject
{
    CFobLicVerifier *verifier;
}

+ (MPLicense *)currentLicense;

- (BOOL)isRegistered;
- (BOOL)isTrialPeriod;

- (NSUInteger)remainingDaysInTrialPeriod;

- (BOOL)registerLicenseCode:(NSString *)licenseCode registeredTo:(NSString *)name;

- (NSString *)registeredLicenseName;
- (NSString *)registeredLicenseCode;

@end
