//
//  MPMainMenu.h
//  MoviePlayer
//
//  Created by Dominic Rodemer on 08.04.17.
//  Copyright © 2017 Dominic Rodemer. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface MPMainMenu : NSObject
{
    NSMenu *audioMenu;
    NSMenu *audioTrackMenu;
    
    NSMenu *videoMenu;
    NSMenu *videoTrackMenu;
    
    NSMenu *subtitlesMenu;
    NSMenuItem *addSubtitleFileItem;
    NSMenu *subtitlesTrackMenu;
    NSView *subtitlesDelayView;
    NSSlider *subtitlesDelaySlider;
    BOOL subtitlesDelayViewEnabled;
}

@property (nonatomic, strong) IBOutlet NSMenu *audioMenu;
@property (nonatomic, strong) IBOutlet NSMenu *audioTrackMenu;

@property (nonatomic, strong) IBOutlet NSMenu *videoMenu;
@property (nonatomic, strong) IBOutlet NSMenu *videoTrackMenu;

@property (nonatomic, strong) IBOutlet NSMenu *subtitlesMenu;
@property (nonatomic, strong) IBOutlet NSMenuItem *addSubtitleFileItem;
@property (nonatomic, strong) IBOutlet NSMenu *subtitlesTrackMenu;
@property (nonatomic, strong) IBOutlet NSView *subtitlesDelayView;
@property (nonatomic, strong) IBOutlet NSSlider *subtitlesDelaySlider;
@property (nonatomic) BOOL subtitlesDelayViewEnabled;

+ (MPMainMenu *)mainMenu;

@end
