//
//  MPMediaParser.h
//  MoviePlayer
//
//  Created by Dominic Rodemer on 28/03/2017.
//  Copyright © 2017 Dominic Rodemer. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <VLCKit/VLCKit.h>

extern NSString *const MPMediaParserDidParseMediaNotification;
extern NSString *const MPMediaParsereMediaKey;

@interface MPMediaParser : NSObject <VLCMediaDelegate>
{
    NSMutableSet *mediaItems;
}

+ (MPMediaParser *)sharedParser;

- (void)parseMedia:(VLCMedia *)media;

@end
