//
//  MPPlayerWindow.h
//  MoviePlayer
//
//  Created by Dominic Rodemer on 22/03/2017.
//  Copyright © 2017 Dominic Rodemer. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface MPPlayerWindow : NSWindow
{
    NSVisualEffectView *titleBarView;
    NSView *titleBarContainerView;
    
    BOOL titleBarVisible;
}

@property (nonatomic, strong) NSVisualEffectView *titleBarView;
@property (nonatomic, readonly, getter=isTitleBarVisible) BOOL titleBarVisible;

- (void)showTitleBarAnimated:(BOOL)animated;
- (void)hideTitleBarAnimated:(BOOL)animated;

- (void)sizeToFitVideoSize:(NSSize)videoSize aspectRatio:(NSSize)aspectRatio animated:(BOOL)animate;

@end
